/*
 * i18n.h
 *
 *  Created on: 2010-4-13
 *      Author: cai
 */

#ifndef __I18N_H_
#define __I18N_H_

#ifdef HAVE_GETTEXT
#include <locale.h>
#include <libintl.h>
#define _(x) gettext(x)
#define N_(x) (x)
#else
#define _(x) N_(x)
#define N_(x) (x)
#endif

#endif /* __I18N_H_ */
