/*
 * proxy_server.h
 *
 *  Created on: 2010-5-16
 *      Author: cai
 */

#ifndef PROXY_SERVER_H_
#define PROXY_SERVER_H_

typedef struct ProxyServer ProxyServer;
typedef struct ProxyServerClass ProxyServerClass;


#define PROXY_TYPE_SERVER  proxy_server_get_type()

GType proxy_server_get_type (void);
ProxyServer * proxy_server_new();
gboolean proxy_server_is_by_systemd(ProxyServer*proxy);
gboolean proxy_server_add_port(ProxyServer * proxy, gushort port,GError ** err);
gboolean proxy_server_start(ProxyServer * server);

extern volatile gint idle_time;

#endif /* PROXY_SERVER_H_ */
